# InsightsLogs

## appmixer.ui.InsightsLogs

![](/files/-LvpShEkMIzQempeCIOO)

![](/files/-LvpSrIfHJYzcVD_5FPP)

The appmixer.ui.InsightsLogs is a UI widget that displays logs and histogram of all messages that passed through the user's flows. It can display logs of one flow or combine logs of all the user's flows.

| Method                             | Description                                                                                                                                                                                                                                                                                          |
| ---------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `appmixer.ui.InsightsLogs(config)` | Constructor function that accepts `config` object. The `config` object must contain at least the `el` property that points to a container DOM element where the InsightsLogs will be rendered.                                                                                                       |
| `set(property, value)`             | Set a property value. Currently only "flowId" is supported. Use it to set the flow for which you want to display logs. If you don't set the "flowId", logs of all the flows of the user will be displayed.                                                                                           |
| `get(property)`                    | Get a property value.                                                                                                                                                                                                                                                                                |
| `open()`                           | Render the InsightsLogs inside its container.                                                                                                                                                                                                                                                        |
| `close()`                          | Close the InsightsLogs.                                                                                                                                                                                                                                                                              |
| `state(name, value)`               | Change the state of the UI. Currently, only `"loader"` and `"error"` states are supported. For example, in order to show a loader in the flow manager UI, just call `state("loader", true)`. If you want to display an error in the flow manager UI, call `state("error", "Something went wrong.")`. |
| `reload()`                         | Refreshes the InsightsLogs. Since the UI contains a way to reload flows, calling this can be useful only when any flows has changed, so the changes are reflected in the flows filter.                                                                                                               |

##


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appmixer.com/6.0/v4/appmixer-sdk/api-reference/insightslogs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
